## ros-crystal-nav2-dynamic-params 0.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(nav2_dynamic_params)

find_package(ament_cmake REQUIRED)
find_package(nav2_common REQUIRED)
find_package(rclcpp REQUIRED)

nav2_package()

include_directories(
  include
)

set(dependencies
  rclcpp
)

add_library(nav2_dynamic_params SHARED
  src/dynamic_params_validator.cpp
)

ament_target_dependencies(nav2_dynamic_params
  ${dependencies}
)

add_executable(example_nav2_dynamic_params_validator
  src/example_dynamic_params_validator.cpp
)

ament_target_dependencies(example_nav2_dynamic_params_validator
  ${dependencies}
)

target_link_libraries(example_nav2_dynamic_params_validator
  nav2_dynamic_params
)

add_executable(example_nav2_dynamic_params_client
  src/example_dynamic_params_client.cpp
)

ament_target_dependencies(example_nav2_dynamic_params_client
  ${dependencies}
)

target_link_libraries(example_nav2_dynamic_params_client
  nav2_dynamic_params
)

install(TARGETS nav2_dynamic_params example_nav2_dynamic_params_validator example_nav2_dynamic_params_client
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY include/
  DESTINATION include/
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_pytest REQUIRED)
  find_package(ament_cmake_gtest REQUIRED)
  add_subdirectory(test)
endif()

ament_export_include_directories(include)
ament_export_libraries(nav2_dynamic_params)

ament_package()

=== debian/changelog ===
ros-crystal-nav2-dynamic-params (0.1.7-0bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Brian Wilcox <brian.wilcox@intel.com>  Wed, 13 Mar 2019 18:11:10 -0000

=== debian/control ===
Source: ros-crystal-nav2-dynamic-params
Section: misc
Priority: extra
Maintainer: Brian Wilcox <brian.wilcox@intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake, ros-crystal-ament-cmake-gtest, ros-crystal-ament-cmake-pytest, ros-crystal-ament-lint-auto, ros-crystal-ament-lint-common, ros-crystal-launch, ros-crystal-launch-testing, ros-crystal-nav2-common, ros-crystal-rclcpp, ros-crystal-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-crystal-nav2-dynamic-params
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-rclcpp, ros-crystal-ros-workspace
Description: This package provides a validation class for ROS2 parameters with validation based on parameter type and defined bounds.
 Support for custom validation callbacks is also provided. Some useful convenience functions for event callbacks are also provided

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/crystal/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/crystal" \
		-DAMENT_PREFIX_PATH="/opt/ros/crystal"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-crystal-nav2-dynamic-params//opt/ros/crystal/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_install
